<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Amazonrise
 */
?>

<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'amazonrise' ); ?></a>

	<header id="masthead" class="sheader site-header clearfix">

		<div class="top-heading">
			<div class="sticky-inner-header">

				<?php amazonrise_site_branding(); ?>

				<nav id="primary-site-navigation" class="primary-menu main-navigation">

					<div id="primary-menu" class="primary-menu reset-list-style">

						<?php
						if ( has_nav_menu( 'menu-1' ) ) {

							wp_nav_menu( array(
								'theme_location'	=> 'menu-1',
								'container'			=> '',
								'menu_class'		=> 'pmenu'
							) );

						} else {

							wp_nav_menu( array(
								'theme_location'	=> 'menu-1',
								'container'			=> '',
								'menu_class'		=> 'pmenu'
							) );

						}
						?>
					</div>

					<button class="toggle close-nav-toggle"><span class="toggle-text"><?php esc_html_e( 'Close Menu', 'amazonrise' ); ?></button>
						
				</button><!-- .nav-toggle -->
				</nav><!-- #primary-site-navigation -->
				
			</div><!-- .sticky-inner-header -->
		</div>

		<div id="catcher"></div>
		
		<?php if ( get_theme_mod('amazonrise_general_header_banner_option') == 'banner_enable' && is_home() && is_front_page() ) : ?>
			<div class="bottom-heading">
				
				<div class="xgbanner-container banner-branding">
					<?php
					if ( get_theme_mod('amazonrise_general_header_banner_text') != '' ) :
					
						echo wp_kses_post(get_theme_mod('amazonrise_general_header_banner_text'));
					
					else :
						?>

						<h2><?php esc_html_e('Lorem ipsum', 'amazonrise') ?></h2>
						<p><?php esc_html_e('Lorem ipsum consectetur adipiscing elit, Reges constructio interrete...', 'amazonrise') ?></p>

					<?php
					endif;
					?>
				</div>
				
				
				<?php if ( get_theme_mod('amazonrise_general_header_shape_banner', 'shape_banner_enable') == 'shape_banner_enable' ) : ?>
					<svg class="banner-shape-bottom" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1000 100" preserveAspectRatio="none">
						<path class="banner-shape-fill" d="M500,97C126.7,96.3,0.8,19.8,0,0v100l1000,0V1C1000,19.4,873.3,97.8,500,97z"></path>
					</svg>
				<?php endif; ?>
			</div>
		<?php endif; ?>
	</header><!-- #masthead -->

	<?php
	if ( have_posts() && is_archive() ) :
	?>

		<div class="section-page-header">
			<div class="content-wrap">
				<header class="archive-page-header">
					<?php
						the_archive_title( '<h1 class="page-title">', '</h1>' );
						the_archive_description( '<div class="archive-description">', '</div>' );
					?>
				</header>
			</div>
		</div><!-- .section-page-header -->

	<?php
	endif;
	?>

	<div id="content" class="site-content clearfix">
		<div class="container-section-wrap content-wrap">