<?php
/**
|------------------------------------------------------------------------------
| Static Control
|------------------------------------------------------------------------------
*/

	class amazonrise_Theme_Info extends WP_Customize_Control {
		public function render_content() {
			echo $this->description;
		}
	}

	/**
	|------------------------------------------------------------------------------
	| OPTIONS
	|------------------------------------------------------------------------------
	*/
	$wp_customize->add_panel( 'panel_general', array(
		'priority'			=> 10,
		'capability'		=> 'edit_theme_options',
		'theme_supports'	=> '',
		'title'				=> __( 'Amazonrise General Settings', 'amazonrise' )
	));

	/*******************
	* Section: Layout *
	********************/
	$wp_customize->add_section( 'amazonrise_general_page_controllers' , array(
		'title'				=> __( 'General Options', 'amazonrise' ),
		'priority'			=> 2,
		'panel'				=> 'panel_general'
	));

	/* Primary Color */
	$wp_customize->add_setting( 'amazonrise_general_primary_color', array(
		'default'			=> '#0073e5',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'amazonrise_general_primary_color', array(
		'label'				=> __( 'Primary Color', 'amazonrise' ),
		'section'			=> 'amazonrise_general_page_controllers',
		'settings'			=> 'amazonrise_general_primary_color',
		'priority'			=> 1,
	)));


	/* General Layout */
	$wp_customize->add_setting( 'amazonrise_general_layout_style',
		array(
			'default'		=> 'list_layout',
			'transport'		=> 'refresh',
			'sanitize_callback'	=> 'amazonrise_sanitize_select'
		)
	);

	$wp_customize->add_control( 'amazonrise_general_layout_style',
		array(
			'label'			=> __( 'Layout Style', 'amazonrise'),
			'section'		=> 'amazonrise_general_page_controllers',
			'priority'		=> 2,
			'type'			=> 'select',
			'capability'	=> 'edit_theme_options',
			'choices' => array(
				'list_layout'			=> __( 'List', 'amazonrise'),
				'grid_layout'			=> __( 'Grid', 'amazonrise'),
			)
		)
	);

	$wp_customize->add_setting( 'amazonrise_general_layout', array('sanitize_callback' => 'amazonrise_sanitize_select', 'default' => 'right_sidebar'));
	$wp_customize->add_control( 'amazonrise_general_layout', array(
		'type'				=> 'radio',
		'label'				=> __( 'Layout Style', 'amazonrise' ),
		'section'			=> 'amazonrise_general_page_controllers',
		'priority'			=> 3,
		'choices'			=> array(
			'none_sidebar'				=> __( 'None Sidebar', 'amazonrise' ),
			'left_sidebar'				=> __( 'Left Sidebar', 'amazonrise' ),
			'right_sidebar'				=> __( 'Right Sidebar', 'amazonrise' ),
		),
	));

	/* Excerpt Length */
	$wp_customize->add_setting('amazonrise_general_excerpt_lengh', array('sanitize_callback' => 'amazonrise_sanitize_number_absint', 'default' => 10));
	$wp_customize->add_control( 'amazonrise_general_excerpt_lengh', array(
		'type'				=> 'number',
		'label'				=> __( 'Excerpt Length', 'amazonrise' ),
		'section'			=> 'amazonrise_general_page_controllers',
		'description'		=> __( 'Expert Length is the number of words to show in Home/Archive pages.', 'amazonrise'),
		'priority'			=> 4,
	));

	/* Excerpt End Text */
	$wp_customize->add_setting('amazonrise_general_excerpt_end_text', array('sanitize_callback' => 'amazonrise_sanitize_html', 'default' => ' ...'));
	$wp_customize->add_control( 'amazonrise_general_excerpt_end_text', array(
		'type'				=> 'text',
		'label'				=> __( 'Excerpt Ending Text', 'amazonrise' ),
		'section'			=> 'amazonrise_general_page_controllers',
		'priority'			=> 5,
	));

	/* Choose Pagination Type */
	$wp_customize->add_setting('amazonrise_general_pagination_mode', array('sanitize_callback' => 'amazonrise_sanitize_select', 'default'	=> 'default', 'capability' => 'edit_theme_options' ));
	$wp_customize->add_control( 'amazonrise_general_pagination_mode', array(
		'type'				=> 'radio',
		'label'				=> __( 'Choose Pagination Type', 'amazonrise' ),
		'section'			=> 'amazonrise_general_page_controllers',
		'priority'			=> 6,
		'choices'			=> array(
			'default'					=> __('Default (Older Posts/Newer Posts)', 'amazonrise'),
			'numberal'					=> __('Numberal (1 2 3 ..)', 'amazonrise'),
		),
	));


	/*******************
	* Section: Options Header *
	********************/
	$wp_customize->add_section( 'amazonrise_general_header_controllers' , array(
		'title'				=> __( 'Header Options', 'amazonrise' ),
		'priority'			=> 3,
		'panel'				=> 'panel_general'
	));

	$wp_customize->add_setting( 'amazonrise_general_header_banner_option', array('sanitize_callback' => 'amazonrise_sanitize_select', 'default' => 'banner_disable'));
	$wp_customize->add_control( 'amazonrise_general_header_banner_option', array(
		'type'				=> 'radio',
		'label'				=> __( 'Option Banner', 'amazonrise' ),
		'section'			=> 'amazonrise_general_header_controllers',
		'priority'			=> 1,
		'choices'			=> array(
			'banner_enable'		=> __( 'Enable', 'amazonrise' ),
			'banner_disable'	=> __( 'Disable', 'amazonrise' ),
		),
	));

	/* Text Banner Color */
	$wp_customize->add_setting( 'amazonrise_general_header_banner_text_color', array(
		'default'			=> '#fff',
		'sanitize_callback' => 'sanitize_hex_color',
	));
	$wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'amazonrise_general_header_banner_text_color', array(
		'label'				=> __( 'Banner Text Color', 'amazonrise' ),
		'section'			=> 'amazonrise_general_header_controllers',
		'settings'			=> 'amazonrise_general_header_banner_text_color',
		'priority'			=> 2,
	)));

	/* Text Banner */
	$wp_customize->add_setting( 'amazonrise_general_header_banner_text', array('sanitize_callback' => 'amazonrise_sanitize_html', 'default' => '' ));
	$wp_customize->add_control( 'amazonrise_general_header_banner_text', array(
		'type'				=> 'textarea',
		'label'				=> __( 'Banner Text', 'amazonrise' ),
		'section'			=> 'amazonrise_general_header_controllers',
		'priority'			=> 3,
		'input_attrs' => array(
			'placeholder'		=> __( 'Your banner text here...', 'amazonrise' ),
		),
	));
	
	$wp_customize->add_setting( 'amazonrise_general_header_shape_banner', array('sanitize_callback' => 'amazonrise_sanitize_select', 'default' => 'shape_banner_enable'));
	$wp_customize->add_control( 'amazonrise_general_header_shape_banner', array(
		'type'				=> 'radio',
		'label'				=> __( 'Edge Shape Banner', 'amazonrise' ),
		'section'			=> 'amazonrise_general_header_controllers',
		'priority'			=> 4,
		'choices'			=> array(
			'shape_banner_enable'		=> __( 'Enable', 'amazonrise' ),
			'shape_banner_disable'		=> __( 'Disable', 'amazonrise' ),
		),
	));