<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Amazonrise
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('archive-main-grids posts-entry'); ?>>
	<div class="post-container">
		<?php if ( has_post_thumbnail() ) : ?>
			
			<div class="post-content-thumbnail">
				<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_post_thumbnail('amazonrise-large'); ?></a>
				<a href="<?php the_permalink() ?>" rel="bookmark" class="fancy-overlay-bg"></a>
			</div>

		<?php else : ?>

			<div class="post-content-thumbnail">
				<a href="<?php the_permalink() ?>" rel="bookmark"><img class="wp-post-image" src="<?php echo esc_url( get_template_directory_uri() ); ?>/images/default-grid.jpg" alt="<?php echo the_title_attribute(); ?>" /></a>
			</div>

		<?php endif; ?>

		<div class="post-content-container">

			<div class="entry-content">

				<header class="entry-header">
					<?php
					if ( is_single() ) :
						the_title( '<h1 class="entry-title">', '</h1>' );

						if ( 'post' === get_post_type() ) : ?>
						<div class="entry-meta">
							<?php //amazonrise_posted_on(); ?>
						</div><!-- .entry-meta -->
						<?php
						endif;
						
					else :
						
						if ( 'post' === get_post_type() ) : ?>
						<div class="entry-meta">
							<?php //amazonrise_posted_on(); ?>
						</div><!-- .entry-meta -->
						<?php
						endif;

						the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
					endif;
					?>
				</header><!-- .entry-header -->

				<div class="content-excerpt">
					<?php
						the_excerpt( sprintf(
							wp_kses(
								/* translators: %s: Name of current post. Only visible to screen readers */
								__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'amazonrise' ),
								array(
									'span' => array(
										'class' => array(),
									),
								)
							),
							get_the_title()
						) );

						wp_link_pages( array(
							'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'amazonrise' ),
							'after'  => '</div>',
						) );
					?>
				</div><!-- .content-excerpt -->

				<a class="more-link-wrap" href="<?php the_permalink() ?>"><?php echo esc_html__( 'Continue Reading &rarr;', 'amazonrise' ); ?></a>
				
			</div><!-- .entry-content -->

	</div><!-- .post-container -->
</article><!-- #post-<?php the_ID(); ?> -->
